Subject: Re: bug#71666: 30.0.50; [PATCH] Fix zooming images with SHR

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jun 2024 12:11:45 +0300

> Date: Wed, 19 Jun 2024 21:47:26 -0700
> From: Jim Porter <[email-masked]>
> 
> To reproduce this, start from "emacs -Q -f eww" and then go to fsf.org. 
> Move point over one of the larger images on the page, like the ones that 
> say "Featured" above them, and press Z ('shr-zoom-image'). The result is 
> that the image is duplicated, and the first slice gets pushed up onto 
> the previous line.
> 
> Attached is a patch to fix this, with regression tests.

I tried the recipe and the patch.  While the patches shr behaves
better than the unpatched, I don't see the image being zoomed, it
stays at its original size.  Do I need some optional library or
external program for the zoom to happen?

Thanks.